limit_req_zone $binary_remote_addr zone=one:10m rate=10r/s;

server {
    listen 443 ssl;
    server_name {{ cert_domain }};
    ssl_certificate /etc/nginx/ssl/ftpserver.pem;
    ssl_certificate_key /etc/nginx/ssl/ftpserver.key;
    location / {
        root /srv;
        limit_req zone=one burst=12 delay=8;

        if ($request_method = 'OPTIONS') {
          add_header 'Access-Control-Allow-Origin' '*';
          add_header 'Access-Control-Allow-Methods' 'GET, OPTIONS';
          add_header 'Access-Control-Allow-Headers' 'DNT,X-CustomHeader,Keep-Alive,User-Agent,X-Requested-With,If-Modified-Since,Cache-Control,Content-Type';
          add_header 'Access-Control-Max-Age' 1728000;
          add_header 'Content-Type' 'text/plain charset=UTF-8';
          add_header 'Content-Length' 0;
          return 204;
        }

        if ($request_method = 'GET') {
          add_header 'Access-Control-Allow-Origin' '*';
          add_header 'Access-Control-Allow-Methods' 'GET, OPTIONS';
          add_header 'Access-Control-Allow-Headers' 'DNT,X-CustomHeader,Keep-Alive,User-Agent,X-Requested-With,If-Modified-Since,Cache-Control,Content-Type';
        }
    }

}

server {
    listen 80 default_server;
    server_name _;

    return 301 https://$host$request_uri;
}
